16053: Add example script for installing from scratch.
authorTom Clegg <tom@tomclegg.ca>
Tue, 24 Mar 2020 16:12:30 +0000 (12:12 -0400)
committerTom Clegg <tom@tomclegg.ca>
Tue, 24 Mar 2020 19:41:18 +0000 (15:41 -0400)
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom@tomclegg.ca>

lib/install/example_from_scratch.sh [new file with mode: 0644]

diff --git a/lib/install/example_from_scratch.sh b/lib/install/example_from_scratch.sh
new file mode 100644 (file)
index 0000000..03d9b7f
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e -o pipefail
+
+# Starting with a base debian buster system, like "docker run -it
+# debian:10"...
+
+apt update
+apt upgrade
+apt install --no-install-recommends build-essential ca-certificates git golang
+git clone https://git.arvados.org/arvados.git
+cd arvados
+[[ -e lib/install ]] || git checkout origin/16053-install-deps
+cd cmd/arvados-server
+go run ./cmd/arvados-server install -type test
+pg_isready || pg_ctlcluster 11 main start # only needed if there's no init process (as in docker)
+build/run-tests.sh